
Graphics3D(800, 600, 0, 2)

;      
AmbientLight(64, 64, 64)

; 
Local FloorTexture% = LoadTexture("floor.jpg", 1 + 8)
Local FloorEntity% = CreatePlane()
EntityTexture(FloorEntity, FloorTexture)

;     
;  -  + 
;     10    10 
Local RectBrush% = LoadBrush("rect.png", 1 + 2, 1.0, 0.1)
;   
BrushBlend(RectBrush, 3)
;   
BrushFX(RectBrush, 1)
; 
BrushColor(RectBrush, 100, 255, 255)

;  ,    
;  1.0 x 0.25 (  ) +     10 
Local RectMesh% = CreateMesh()
Local RectSurface% = CreateSurface(RectMesh, RectBrush)
AddVertex(RectSurface, -1.0, 0.01,  2.25, 0.0, 0.0)
AddVertex(RectSurface,  1.0, 0.01,  2.25, 1.0, 0.0)
AddVertex(RectSurface,  1.0, 0.01, -2.25, 1.0, 1.0)
AddVertex(RectSurface, -1.0, 0.01, -2.25, 0.0, 1.0)
AddTriangle(RectSurface, 0, 1, 2)
AddTriangle(RectSurface, 2, 3, 0)

Local MainCamera% = CreateCamera()
PositionEntity(MainCamera, 0.0, 3.0, -3.0)
RotateEntity(MainCamera, 45.0, 0.0, 0.0)

Repeat
	RenderWorld()
	Flip()
Until KeyDown(1)

End
